set echo on;

connect JEMUSER/JEMPASSWD;

---- seq-number for po_numbers..
create sequence po_seq START WITH 1;

---- products/items table for purchaseOrder-application
drop table Products;
drop table Products_PURCHASEORDERSERVICE;
create table Products_PURCHASEORDERSERVICE
  (PRODUCTNAME     	VARCHAR2(20),
   PRODUCTNUMBER   	NUMBER(4),
   AVAILABLEUNITS  	NUMBER(4),
   UNITPRICE       	NUMBER(4,2),
   DESCRIPTION     	VARCHAR2(20)
  );

insert into Products_PURCHASEORDERSERVICE values ('PENCIL',     11,   600,   0.15  ,   'blah blah foo');
insert into Products_PURCHASEORDERSERVICE values ('PEN',        22,   700,   0.20  ,   'blah blah foo');
insert into Products_PURCHASEORDERSERVICE values ('NOTE PAD',   53,   550,   1.05  ,   'blah blah foo');
insert into Products_PURCHASEORDERSERVICE values ('ERASOR',     64,   220,   0.11  ,   'blah blah foo');
insert into Products_PURCHASEORDERSERVICE values ('CALCULATOR', 76,   20 ,   13.99 ,   'blah blah foo');

---- products/items table for InventoryService...
drop table Products_inventoryService;
create table Products_inventoryService
  (PRODUCTNAME     	VARCHAR2(20),
   PRODUCTNUMBER   	NUMBER(4),
   AVAILABLEUNITS  	NUMBER(4),
   UNITPRICE       	NUMBER(4,2),
   DESCRIPTION     	VARCHAR2(20)
  );

insert into Products_inventoryService values ('PENCIL',     11,   600,   0.15  ,   'blah blah foo');
insert into Products_inventoryService values ('PEN',        22,   700,   0.20  ,   'blah blah foo');
insert into Products_inventoryService values ('NOTE PAD',   53,   550,   1.05  ,   'blah blah foo');
insert into Products_inventoryService values ('ERASOR',     64,   220,   0.11  ,   'blah blah foo');
insert into Products_inventoryService values ('CALCULATOR', 76,   20 ,   13.99 ,   'blah blah foo');

---- creditor table for Creditservice...
drop table Creditors_creditService;
create table Creditors_creditService
  (CREDITCARDNUMBER      VARCHAR2(20),
   CREDITORNAME		 VARCHAR2(20),
   AVAILABLECREDIT       NUMBER(6,2),
   EXPIRYDATE		 DATE,
   DESCRIPTION		 VARCHAR2(20)
  );

insert into Creditors_creditService values ('1222-2222-2222-2221', 'SCOTT', 469.00 , to_date('31-JAN-03'),   'SCOTT_1');
insert into Creditors_creditService values ('1111-3333-4444-8888', 'SCOTT', 5000.00, to_date('31-MAR-04'),   'SCOTT_2');
insert into Creditors_creditService values ('1234-5678-1234-5678', 'NICK' , 2223.78, to_date('28-FEB-02'),   'NICK_1');
insert into Creditors_creditService values ('8888-7777-2222-5555', 'ANIL' , 223.44 , to_date('30-JUN-01'),   'ANIL_1');
insert into Creditors_creditService values ('1111-2222-2222-2221', 'JUN'  , 2902.89, to_date('31-AUG-03'),   'JUN_1');
insert into Creditors_creditService values ('2222-2222-2222-6666', 'WENDY', 1048.30, to_date('31-DEC-03'),   'WENDY_1');

commit;
exit;
