// LineItemRemote.java

package purchaseOrderService.ejb;

import javax.ejb.*;
import java.rmi.*;

public interface LineItemRemote extends EJBLocalObject
{
    // getter remote methods
    public  String   getLineItemName();
    public  Integer  getOrderedQuantity();
    public  Integer  getShippedQuantity();
    public  PurchaseOrderRemote  getPurchaseOrder();

    // setter remote methods
    public  void  setLineItemName(String liName);
    public  void  setOrderedQuantity(Integer orderedQnty);
    public  void  setShippedQuantity(Integer shippedQnty);
    public  void  setPurchaseOrder(PurchaseOrderRemote po);
}
