// PurchaseOrderHome.java

package purchaseOrderService.ejb;

import javax.ejb.*;
import java.util.Collection;
import java.rmi.*;

public interface PurchaseOrderHome extends EJBHome
{
    public PurchaseOrderRemote create(String customerName,
                                      String creditCardNumber,
                                      String[] productNames,
                                      int[] quantities) 
      throws RemoteException, CreateException;

    public PurchaseOrderRemote findByPrimaryKey(Integer poNumber)
      throws FinderException, RemoteException;
    public Collection findByName(String customerName)
      throws FinderException, RemoteException;
    public Collection findAll()
      throws FinderException, RemoteException;
}
