// PurchaseOrderRemote.java

package purchaseOrderService.ejb;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;
import java.sql.Date;

public interface PurchaseOrderRemote extends EJBObject
{
    // getter remote methods
    public  Integer    getPONumber()          throws RemoteException;
    public  String     getCustomerName()      throws RemoteException;
    public  String     getCreditCardNumber()  throws RemoteException;
    public  String     getStatus()            throws RemoteException;
    public  Date       getDeliveryDate()      throws RemoteException;
    public  Float      getTotalCost()         throws RemoteException;
    public  Collection getLineItems()         throws RemoteException;

    // setter remote methods
    public  void  setPONumber(Integer poNumber)
      throws RemoteException;
    public  void  setCustomerName(String customerName)
      throws RemoteException;
    public  void  setCreditCardNumber(String cardNumber)
      throws RemoteException;
    public  void  setStatus(String status)
      throws RemoteException;
    public  void  setDeliveryDate(Date deliveryDate)
      throws RemoteException;
    public  void  setTotalCost(Float tc)
      throws RemoteException;
    public  void  setLineItems(Collection lineItems)
      throws RemoteException;
}
