// CreditorHome.java

package creditService.ejb;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.sql.Date;
import java.util.Collection;

public interface CreditorHome extends EJBLocalHome
{
    public CreditorRemote create(String creditorName, String creditCardNumber, 
                                 Date expiryDate)
      throws CreateException;

    public CreditorRemote findByPrimaryKey(String creditCardNumber) 
      throws FinderException;
    public Collection findByName(String creditorName)
      throws FinderException;
    public Collection findAll()
      throws FinderException;
}
