// CreditorRemote.java

package creditService.ejb;

import javax.ejb.*;
import java.rmi.*;
import java.sql.Date;

public interface CreditorRemote extends EJBLocalObject
{
    // getter remote methods
    public  String getCreditorName();
    public  String getCreditCardNumber();
    public  Float getAvailableCredit();
    public  Date getExpiryDate();

    // setter remote methods
    public  void  setCreditorName(String name);
    public  void  setCreditCardNumber(String credCardnum);
    public  void  setAvailableCredit(Float availCred);
    public  void  setExpiryDate(Date date);
}
