// ProductHome.java

package inventoryService.ejb;

import java.rmi.*;
import java.util.*;
import javax.ejb.*;

public interface ProductHome extends EJBLocalHome
{
    public ProductRemote create(String productName, Integer productNumber,
                        				Integer availableUnits, Float unitPrice)
    	throws CreateException;

    public ProductRemote findByPrimaryKey(String productName)
      throws FinderException;
    public Collection findAll()
      throws FinderException;
}
